> ## Documentation Index
> Fetch the complete documentation index at: https://portkey-docs-docs-prisma-airs-updates.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model pricing



## OpenAPI

````yaml https://raw.githubusercontent.com/PaloAltoNetworks/openapi/refs/heads/main/openapi.yaml get /model-configs/pricing/{provider}/{model}
openapi: 3.0.0
info:
  title: Prisma AIRS AI Gateway API
  version: 3.0.0
  description: ''
servers:
  - url: https://aigw.portkey.ai/v1
    description: Managed
  - url: https://self-hosted-gateway-url.example.com/v1
    description: Self-hosted -- replace with your own gateway host
security:
  - Authorization: []
tags:
  - name: Assistants
    description: ''
  - name: Audio
    description: ''
  - name: Batch
    description: ''
  - name: Chat
    description: ''
  - name: Completions
    description: ''
  - name: Embeddings
    description: ''
  - name: Files
    description: ''
  - name: Fine-Tuning
    description: ''
  - name: Images
    description: ''
  - name: Model Pricing
    description: ''
  - name: Models
    description: ''
  - name: Moderations
    description: ''
  - name: OCR
    description: ''
  - name: Realtime
    description: ''
  - name: Rerank
    description: ''
  - name: Responses
    description: ''
  - name: Vector Stores
    description: ''
  - name: Configs
    description: ''
  - name: Guardrails
    description: ''
  - name: Integrations
    description: ''
  - name: Integrations > Models
    description: ''
  - name: Integrations > Workspaces
    description: ''
  - name: Providers
    description: ''
  - name: Secret References
    description: ''
  - name: MCP Integrations
    description: ''
  - name: MCP Integrations > Capabilities
    description: ''
  - name: MCP Integrations > Metadata
    description: ''
  - name: MCP Integrations > Workspaces
    description: ''
  - name: MCP Servers
    description: ''
  - name: MCP Servers > Capabilities
    description: ''
  - name: MCP Servers > Connections
    description: ''
  - name: MCP Servers > User Access
    description: ''
  - name: API Keys
    description: ''
  - name: Deployments
    description: ''
  - name: Org Guardrails
    description: ''
  - name: Rate Limit Policies
    description: ''
  - name: Usage Limit Policies
    description: ''
  - name: Analytics > Graphs
    description: ''
  - name: Analytics > Groups
    description: ''
  - name: Analytics > Summary
    description: ''
  - name: Feedback
    description: ''
  - name: Logs
    description: ''
paths:
  /model-configs/pricing/{provider}/{model}:
    servers:
      - url: https://api.apps.paloaltonetworks.com/ai_gw/v2
        description: Managed
    get:
      tags:
        - Model Pricing
      operationId: getModelPricing
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
        - in: path
          name: model
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelPricingConfig'
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security: []
components:
  schemas:
    ModelPricingConfig:
      type: object
      properties:
        pay_as_you_go:
          $ref: '#/components/schemas/ModelPayAsYouGo'
        calculate:
          $ref: '#/components/schemas/ModelCalculateConfig'
        currency:
          type: string
          enum:
            - USD
        finetune_config:
          $ref: '#/components/schemas/ModelFinetuneConfig'
    ModelPayAsYouGo:
      type: object
      properties:
        request_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        response_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        cache_write_input_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        cache_read_input_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        request_audio_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        response_audio_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        cache_read_audio_input_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        additional_units:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ModelTokenPrice'
        image:
          $ref: '#/components/schemas/ModelImagePricing'
    ModelCalculateConfig:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ModelCalculateOperation'
        response:
          $ref: '#/components/schemas/ModelCalculateOperation'
    ModelFinetuneConfig:
      type: object
      properties:
        pay_per_token:
          $ref: '#/components/schemas/ModelTokenPrice'
        pay_per_hour:
          $ref: '#/components/schemas/ModelTokenPrice'
    ModelTokenPrice:
      type: object
      properties:
        price:
          type: number
    ModelImagePricing:
      type: object
      additionalProperties:
        type: object
        additionalProperties:
          $ref: '#/components/schemas/ModelTokenPrice'
    ModelCalculateOperation:
      type: object
      properties:
        operation:
          type: string
          enum:
            - sum
            - multiply
        operands:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ModelCalculateOperation'
              - $ref: '#/components/schemas/ModelValueReference'
    ModelValueReference:
      type: object
      properties:
        value:
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````